org.apache.ignite.internal.processors.platform.client

## Class ClientResourceRegistry

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientResourceRegistry

    public class ClientResourceRegistry
    extends Object

Per-connection resource registry.

### Constructor Summary

Constructors
Constructor and Description
`ClientResourceRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clean()` Cleans all handles and closes all ClientCloseableResources.
`<T> T` `get(long hnd)` Gets the object by handle.
`long` `put(Object obj)` Allocates server handle for an object.
`void` `release(long hnd)` Releases the handle.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientResourceRegistry

    public ClientResourceRegistry()

### Method Detail

#### put

    public long put(Object obj)

Allocates server handle for an object.

Parameters:
  `obj` - Object.
Returns:
  Handle.

#### get

    public <T> T get(long hnd)

Gets the object by handle.

Type Parameters:
  `T` - Object type.
Parameters:
  `hnd` - Handle.
Returns:
  Object.

#### release

    public void release(long hnd)

Releases the handle.

Parameters:
  `hnd` - Handle.

#### clean

    public void clean()

Cleans all handles and closes all ClientCloseableResources.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019